# Interface CalloutJson

Callout configuration for a symbol.

interface CalloutJson {
border?: BorderJson;
color?: ColorJson;
size?: number;
transparency?: number;
type: "line";
}

#####
Index

### Properties

border?
color?
size?
transparency?
type

##
Properties

### `Optional` border

border?: BorderJson

Optional border on the line that is used to improve the contrast of the line color against various background colors.

### `Optional` color

color?: ColorJson

The color of the line.

### `Optional` size

size?: number

The width of the line in points.

### `Optional` transparency

transparency?: number

A value between 100 (full transparency) and 0 (full opacity).

### type

type

The type of the callout. A callout of type line connects an offset symbol or label with its location.